declare const InteractionHandle = "uint16";
declare const PactHandle = "uint32";
export declare type FfiDeclarations = {
    pactffi_init: ['string', ['string']];
    pactffi_version: ['string', []];
    pactffi_free_string: ['void', ['string']];
    pactffi_verify: ['int32', ['string']];
    pactffi_create_mock_server_for_pact: [
        'int',
        [
            typeof PactHandle,
            'string',
            'bool'
        ]
    ];
    pactffi_new_pact: [typeof PactHandle, ['string', 'string']];
    pactffi_with_specification: ['bool', [typeof PactHandle, 'int']];
    pactffi_mock_server_matched: ['bool', ['int32']];
    pactffi_new_interaction: [
        typeof InteractionHandle,
        [
            typeof PactHandle,
            'string'
        ]
    ];
    pactffi_upon_receiving: ['bool', [typeof InteractionHandle, 'string']];
    pactffi_given: ['bool', [typeof InteractionHandle, 'string']];
    pactffi_given_with_param: [
        'bool',
        [
            typeof InteractionHandle,
            'string',
            'string',
            'string'
        ]
    ];
    pactffi_with_request: [
        'bool',
        [
            typeof InteractionHandle,
            'string',
            'string'
        ]
    ];
    pactffi_with_query_parameter: [
        'bool',
        [
            typeof InteractionHandle,
            'string',
            'int',
            'string'
        ]
    ];
    pactffi_with_header: [
        'bool',
        [
            typeof InteractionHandle,
            'int',
            'string',
            'int',
            'string'
        ]
    ];
    pactffi_with_body: [
        'bool',
        [
            typeof InteractionHandle,
            'int',
            'string',
            'string'
        ]
    ];
    pactffi_with_multipart_file: [
        'bool',
        [
            typeof InteractionHandle,
            'int',
            'string',
            'string',
            'string'
        ]
    ];
    pactffi_response_status: ['bool', [typeof InteractionHandle, 'int']];
    pactffi_write_pact_file: ['int32', ['int32', 'string', 'bool']];
    pactffi_cleanup_mock_server: ['bool', ['int']];
    pactffi_mock_server_mismatches: ['string', ['int']];
    pactffi_get_tls_ca_certificate: ['string', []];
    pactffi_log_message: ['void', ['string', 'string', 'string']];
    pactffi_log_to_buffer: ['int32', ['int32']];
    pactffi_init_with_log_level: ['void', ['int32']];
    pactffi_log_to_stdout: ['int32', ['int32']];
    pactffi_log_to_file: ['int32', ['string', 'int32', 'int32']];
    pactffi_fetch_log_buffer: ['string', ['int32']];
    pactffi_with_pact_metadata: [
        'bool',
        [
            typeof PactHandle,
            'string',
            'string',
            'string'
        ]
    ];
};
export declare const declarations: FfiDeclarations;
export declare enum FfiFunctionResult {
    RESULT_OK = 0,
    RESULT_FAILED = 1
}
export declare enum FfiLogLevelFilter {
    LOG_LEVEL_OFF = 0,
    LOG_LEVEL_ERROR = 1,
    LOG_LEVEL_WARN = 2,
    LOG_LEVEL_INFO = 3,
    LOG_LEVEL_DEBUG = 4,
    LOG_LEVEL_TRACE = 5
}
export {};
