"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FfiLogLevelFilter = exports.FfiFunctionResult = exports.declarations = void 0;
var InteractionHandle = 'uint16';
var PactHandle = 'uint32';
exports.declarations = {
    pactffi_init: ['string', ['string']],
    pactffi_version: ['string', []],
    pactffi_free_string: ['void', ['string']],
    pactffi_verify: ['int32', ['string']],
    pactffi_create_mock_server_for_pact: ['int', [PactHandle, 'string', 'bool']],
    pactffi_new_pact: [PactHandle, ['string', 'string']],
    pactffi_with_specification: ['bool', [PactHandle, 'int']],
    pactffi_mock_server_matched: ['bool', ['int32']],
    pactffi_new_interaction: [InteractionHandle, [PactHandle, 'string']],
    pactffi_upon_receiving: ['bool', [InteractionHandle, 'string']],
    pactffi_given: ['bool', [InteractionHandle, 'string']],
    pactffi_given_with_param: [
        'bool',
        [InteractionHandle, 'string', 'string', 'string'],
    ],
    pactffi_with_request: ['bool', [InteractionHandle, 'string', 'string']],
    pactffi_with_query_parameter: [
        'bool',
        [InteractionHandle, 'string', 'int', 'string'],
    ],
    pactffi_with_header: [
        'bool',
        [InteractionHandle, 'int', 'string', 'int', 'string'],
    ],
    pactffi_with_body: ['bool', [InteractionHandle, 'int', 'string', 'string']],
    pactffi_with_multipart_file: [
        'bool',
        [InteractionHandle, 'int', 'string', 'string', 'string'],
    ],
    pactffi_response_status: ['bool', [InteractionHandle, 'int']],
    pactffi_write_pact_file: ['int32', ['int32', 'string', 'bool']],
    pactffi_cleanup_mock_server: ['bool', ['int']],
    pactffi_mock_server_mismatches: ['string', ['int']],
    pactffi_get_tls_ca_certificate: ['string', []],
    pactffi_log_message: ['void', ['string', 'string', 'string']],
    pactffi_log_to_buffer: ['int32', ['int32']],
    pactffi_init_with_log_level: ['void', ['int32']],
    pactffi_fetch_log_buffer: ['string', ['int32']],
    pactffi_log_to_stdout: ['int32', ['int32']],
    pactffi_log_to_file: ['int32', ['string', 'int32', 'int32']],
    pactffi_with_pact_metadata: [
        'bool',
        [PactHandle, 'string', 'string', 'string'],
    ],
};
var FfiFunctionResult;
(function (FfiFunctionResult) {
    FfiFunctionResult[FfiFunctionResult["RESULT_OK"] = 0] = "RESULT_OK";
    FfiFunctionResult[FfiFunctionResult["RESULT_FAILED"] = 1] = "RESULT_FAILED";
})(FfiFunctionResult = exports.FfiFunctionResult || (exports.FfiFunctionResult = {}));
var FfiLogLevelFilter;
(function (FfiLogLevelFilter) {
    FfiLogLevelFilter[FfiLogLevelFilter["LOG_LEVEL_OFF"] = 0] = "LOG_LEVEL_OFF";
    FfiLogLevelFilter[FfiLogLevelFilter["LOG_LEVEL_ERROR"] = 1] = "LOG_LEVEL_ERROR";
    FfiLogLevelFilter[FfiLogLevelFilter["LOG_LEVEL_WARN"] = 2] = "LOG_LEVEL_WARN";
    FfiLogLevelFilter[FfiLogLevelFilter["LOG_LEVEL_INFO"] = 3] = "LOG_LEVEL_INFO";
    FfiLogLevelFilter[FfiLogLevelFilter["LOG_LEVEL_DEBUG"] = 4] = "LOG_LEVEL_DEBUG";
    FfiLogLevelFilter[FfiLogLevelFilter["LOG_LEVEL_TRACE"] = 5] = "LOG_LEVEL_TRACE";
})(FfiLogLevelFilter = exports.FfiLogLevelFilter || (exports.FfiLogLevelFilter = {}));
//# sourceMappingURL=declarations.js.map